opensaml::saml2md::BatchLoadMetadataFilterContext Class Reference

Environmental context for filtering of batch-loaded metadata. More...

`#include <saml/saml2/metadata/MetadataFilter.h>`

Inheritance diagram for opensaml::saml2md::BatchLoadMetadataFilterContext:
[legend]
Collaboration diagram for opensaml::saml2md::BatchLoadMetadataFilterContext:
[legend]

## Public Member Functions

| BatchLoadMetadataFilterContext (bool isBackingFile)
| Constructor.
bool | isBackingFile () const
| Get whether the filtering is over a backing copy of the metadata.
void | setBackingFile (bool flag)
| Set whether the filtering is over a backing copy of the metadata.

## Detailed Description

Environmental context for filtering of batch-loaded metadata.

## Constructor & Destructor Documentation

## BatchLoadMetadataFilterContext()

opensaml::saml2md::BatchLoadMetadataFilterContext::BatchLoadMetadataFilterContext | ( | bool | isBackingFile | ) |

Constructor.

Parameters

  isBackingFile | initial setting for backing file flag

## Member Function Documentation

## isBackingFile()

bool opensaml::saml2md::BatchLoadMetadataFilterContext::isBackingFile | ( |  | ) | const

Get whether the filtering is over a backing copy of the metadata.

Returns
  true iff the filtering operation is over a backing copy

## setBackingFile()

void opensaml::saml2md::BatchLoadMetadataFilterContext::setBackingFile | ( | bool | flag | ) |

Set whether the filtering is over a backing copy of the metadata.

Parameters

  flag | flag to set

The documentation for this class was generated from the following file:

- saml/saml2/metadata/MetadataFilter.h